
#ifndef SAMPLE_H
#define SAMPLE_H


/* GLOBAL double **qq;         */        /* moved to globs.h (Qq)      */ 
                              /* array of allele freqs at all the loci */
GLOBAL int **xx0, **xx1;      /* arrays of maternal and paternal 
                                 segregation indicators at all the loci*/
GLOBAL int **gg0, **gg1;      /* arrays of all labelled founder genes  
                                 in the pedigree */

/* GLOBAL int chromo[NH][NLOC];*/        /* moved to globs.h for now   */
                              /* indices of loci in ordered chromosome, 
                                 for each set of recombination values  */
/* GLOBAL int revchro[NH][NLOC]; */      /* moved to globs.h for now   */
                              /* gives positions of loci labelled j in
                                 ordered chrmosomes -- "inverse" of
                                 chromo */
/* GLOBAL double recomo[NH][NLOC];*/    /* deleted, for now            */  
                    /* recombinations in ordered chromosome, for ditto */
/* GLOBAL double xecomo[3][NH][NLOC]; */ /* moved to globs.h for now   */
         /* sex-valued recombinations in ordered chromosome, for ditto */
         /* 0 = sex-averaged,  1-male, 2 = female */

extern void allocate_loci(int,int *,double **);
extern int check_seg_mode(void);
extern void set_seg_mode(int);

#endif

