#include "nghds.h"

/* --- free_nghds:  frees nghd, marlist, mar, and indlist for kids ----	*/
/*		    also zeroes all pointers in these lists		*/

void free_nghds(void)
{
    int i;
    Marlist *cmarl, *nmarl;
    Mar *cmar;
    Indlist *cind, *nind;

    for (i = 0; i <= pedsize ; ++i)
    {
	if (nghd[i].index != INVALID_INDEX)
	{
	    cmarl = nghd[i].marriages;
	    while (cmarl)
	    {
		cmar = cmarl->current;
		cind = cmar->kids;
		while (cind)
		{
		    nind = cind->next;
		    cind->current = NULL;
		    cind->next = NULL;
		    free((void *) cind);
		    cind = nind;
		}
	        cmar->spouse = NULL;
		cmar->kids = NULL;
		free((void *) cmar);
		nmarl = cmarl->next;
		cmarl->current = NULL;
		cmarl->next = NULL;
		free((void *) cmarl);
		cmarl = nmarl;
	    }
	}
        nghd[i].ma = NULL;
        nghd[i].pa = NULL;
        nghd[i].marriages = NULL;
    }
    free((void *) nghd);
    nghd = NULL;

    return;
}
