#include "quant.h"
#include "peelie.h"

void lik_gauss(double *y)
{
    double lhood;

    lhood = gauss_quant(0.0, y, 1.0, 0);
    printf(" current log-likelihood, by gaussian elimination =");
    print_val(lhood);
    printf("\n\n\n");
    fflush(stdout);
}

void lik_peel(int *peelseq, double *y)
{
    double lhood;
    int i;

    lhood = peel_quant(0.0, y, peelseq, 1.0, 0);
    printf(" current log-likelihood, by peeling              =");
    print_val(lhood);
    printf("\n");
    fflush(stdout);
}
