

  /*****************************************************************
         * M-Sample Step     EAT 1997                              *
         *   to subroutine   EAT March 2000                        *
         ****************************************************************/
#include "msample.h"

void do_msmpl (int nl, int c, int i, int sx,
         double prob[NC][NLOC], int ***y, int ng, int t, int flag_t)
  {  int  j, jj, ix, err;
     int xx=0, **xxx, new_segs[NLOC];
     double rr;

     
     double pp2[NLOC][2];              /* penetrance probabilities at each
                                          locus under proposed values for
                                           switching given
                                           meiosis in given component */
     double pcf[NLOC][2];     /* cumulative peeling probs along chromosome */

     ix = 2-sx;
     if (sx==0) xxx=xx0; else xxx=xx1;

                        /* store current penetrance values in pp2,
                           make switches, and store new penetrance values */
   for (jj= 0; jj <= nl; ++jj)
        { pp2[jj][xxx[jj][i]] = prob[c][jj];
          xxx[jj][i] = 1 - xxx[jj][i];

#ifdef BUG
if (t==flag_t) { printf ("\n locus name %d calling gene_update",jj); 
                 fflush(stdout);
              printf (" old gam %d, prob %e", 1 - xxx[jj][i], prob[c][jj]); }
#endif

          gene_update(jj,i,sx);
          pp2[jj][xxx[jj][i]] =  seg_pen2(c, y ,Qq[jj], jj, ng, &err );
          prob[c][jj] = pp2[jj][xxx[jj][i]];

#ifdef BUG
if (t==flag_t) { printf (" new prob , %e", prob[c][jj]); }
#endif
         }

                        /* compute P(S_j | Y_1, ..., Y_j) by "peeling" */
   for (j= 0; j<= nl; ++j)
      { jj = chromo[0][j];  rr = xecomo[ix][0][j-1];
        fwd_compute (j, rr, pp2[jj], pcf[j-1], pcf[j] ); }

#ifdef BUG
if (t==flag_t) { printf ("\n peeling probs ");
       for (j= 0; j<= nl; ++j) { jj = chromo[0][j];
                 printf ("\n locus name %d prob-0 =%f, prob-1 = %f",
                            jj, pcf[j][0], pcf[j][1]);
                  fflush(stdout);  } }
#endif

                        /* sample new indicators by "reverse peeling" */
#ifdef BUG
if (t==flag_t) {
    printf ("\n sampled gamete in reverse;" );
             }
#endif

 for (j= nl ; j >= 0; --j)
      {   rr = xecomo[ix][0][j];
#ifdef BUG
if (t==flag_t) { printf ("\n locus name %d , rec %f, prob-0 %f",
          chromo[0][j], rr, pcf[j][0]); 
                  fflush(stdout);  }
#endif

          xx  = back_sample (nl, j, xx, rr, pcf[j][0] );
#ifdef BUG
if (t==flag_t) { printf (" back_sample, seg %d",xx);
                  fflush(stdout);  }
#endif
          new_segs[j] = xx; 

       }

   for (j= nl ; j >= 0; --j)
        { xx = new_segs[j];

          jj = chromo[0][j];
#ifdef BUG
if (t==flag_t) { printf ("  %d %d", jj, xx);      fflush(stdout);  }
#endif
       if (xx != xxx[jj][i])
              { xxx[jj][i] = xx;
                gene_update(jj,i,sx);
                prob[c][jj] = seg_pen2(c, y ,Qq[jj], jj, ng, &err ); }
       }
    return ;

    }

