#include "head.h"

/*  Propose a switch, and return the ratio P(x*)/P(x) at MC-model;
	return also the indicators of the proposed switch   */

/* This routine now obsolete, since we no longer make single-site switches
    (EAT 12/98)  */

double make_switch (ns, nl, si, ls , ss,  aip, ail, ais)
	int ns, nl, si, *ls, *ss, *aip, *ail, *ais;
    {  int i,j,jj,jl,jr, l, ll, sw_old, sw_prev ;
       double pp;
					/* choose a random locus */
       j = intran(0, nl) ;
					/* choose a random switch */
       l = intran(0, ns-1 )+1;
       i = ls[l]; ll = ss[l];

/*
     printf ("\n switching individual %d, gene %d, locus %d", i, ll,j);
       fflush(stdout);
 */

	jj = revchro[si][j];  		/* position in simulation chromosome */

	if (ll == 0 )  { sw_old = xx0[j][i];
			 xx0[j][i] = 1 - xx0[j][i];
			 pp=1.0;
		if (jj>0) {  jl = chromo[si][jj-1];	/* locus to left */
			     sw_prev = xx0[jl][i];
	        if (sw_old == sw_prev) 
			   pp *= xecomo[0][si][jj-1]/(1.0-xecomo[0][si][jj-1]);
		else  pp *= (1.0 -xecomo[0][si][jj-1])/xecomo[0][si][jj-1]; }
		if (j < nl)
		     { jr = chromo[si][jj+1];   	/* locus to right */
		       sw_prev = xx0[jr][i];
		    if (sw_old == sw_prev) 
			pp *= xecomo[0][si][jj]/(1.0-xecomo[0][si][jj]);
		    else  pp *= (1.0 -xecomo[0][si][jj])/xecomo[0][si][jj]; }
			 }
	else  { sw_old = xx1[j][i];
		xx1[j][i] = 1 - xx1[j][i];
			 pp=1.0;
		if (jj>0) {  
			jl = chromo[si][jj-1];		/* locus to left */
			sw_prev = xx1[jl][i];
		  if (sw_old == sw_prev) 
			   pp *= xecomo[0][si][jj-1]/(1.0-xecomo[0][si][jj-1]);
		  else  pp *= (1.0 -xecomo[0][si][jj-1])/xecomo[0][si][jj-1]; }
		if (jj < nl) {
			jr = chromo[si][jj+1];   /* locus to right */
		  	sw_prev = xx1[jr][i];
		       if (sw_old == sw_prev) 
				pp *= xecomo[0][si][jj]/(1.0-xecomo[0][si][jj]);
		       else  pp *= (1.0 -xecomo[0][si][jj])/xecomo[0][si][jj]; }
			 }
	(*aip) = i;
	(*ail) = j;
	(*ais) = ll;
	return(pp);
     }
