#include "quant.h"

/* ---------- free_input_data:  frees the arrays --------------	 * 
 *                              allocated by "input_data"	 */

void free_input_data(void)
{
    int j;

    for (j = 0; j < NTraits; j++)
    {
        free((void *) x[j]);
        x[j] = NULL;
    }
    free((void *) x);
    x = NULL;
    free((void *) qdex);
    qdex = NULL;
    free((void *) idex);
    idex = NULL;
    for (j = 0; j <= NFix; ++j)
    {	
	free((void *) fixdex[j]);
        fixdex[j] = NULL;
    }
}
