#include "stuff.h"

double dist2rf(double distance)
{                              		/*converts distance in cM to    */
                                        /*recombination fraction using  */
                                        /*Haldane's formula             */
    return  .5 * (1. - exp(-2. * distance / 100.));
}

double rf2dist(double recomb_fract)
{                                       /*converts recombination        */
                                        /*fraction to distance in cM    */
                                        /*using Haldane's formula       */
    return  -.5 * log(1. - 2. * recomb_fract) * 100.;
}
    
